# Comfort Calculation Tweaks for Valheim

## Features

- Remove comfort roof requirement
- Show comfort items providing comfort
- Show missing buildable comfort items
- Resting Potions!
- Comfort related Gems (if you have Jewelcrafting installed)
- Resting together as a Group provides bonus comfort (if you have Groups installed)

Configs for Rested buff:
- Comfort radius
- Base comfort time
- Rested time per comfort point
- Experience multiplier 
- HP regeneration multiplier 
- Stamina regeneration multiplier 
- Stamina decrease for running
- Stamina decrease for jumping
- Damage multiplier 
- Carry weight 
- Stay rested on logout

Configs for Resting:
- Hp regeneration multiplier
- Stamina regeneration multiplier
- Delay until rested

Enable Recipes for
- Maypole
- Yule Tree
- Jack o' Lantern

## Pre-Requisites

This mod requires BepInEx. Follow the instructions here if you don't have it installed already: https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/

## Installation (manual)

If you are installing this manually, do the following _(You will need Bepinex installed)_

1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Move the contents of `plugins` folder into `<GameDirectory>\Bepinex\plugins`.
3. Run the game, it will generate automatically an configuration file into `<GameDirectory>\Bepinex\config`
